{% extends 'base.html.twig' %}

{% block title %}Se connecter
{% endblock %}

{% block body %}
	<form method="post">
		{% if error %}
			<div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
		{% endif %}
		<div class="container">
			<div class="row justify-content-center text-center">
				{% if app.user %}
					<div style="margin-top:3vh;" class=" mb-3">
						Vous êtes déjà connecté en tant que
						{{ app.user.prenom }}
						{{ app.user.nom }}
						<a class="btn btn-lg btn-primary" href="{{ path('app_logout') }}">Se déconnecter</a>
						<br><br><br>
					</div>
				</div>
			</div>
		{% endif %}
		<div class="container">
			<div class="row justify-content-center text-center">
				<div class="form-group col-md-5 col-md-offset-5 align-center ">
					<h1>Connectez-vous</h1>
					<br><br>
					<label for="inputEmail">Email</label>
					<input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="form-control" required autofocus>
					<label for="inputPassword">Mot de passe</label>
					<input type="password" name="password" id="inputPassword" class="form-control" required>

					<input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">

					<div class="checkbox mb-3">
						<label>
							<input type="checkbox" name="_remember_me">
							Se souvenir de moi
						</label>
					</div>

					<br>
					<button class="btn btn-lg btn-primary" type="submit">
						Connexion
					</button>
				</form>
			</div>
		</div>
	</div>
	{% if app.user == false %}
		<div class="container">
			<div class="row justify-content-center text-center">
				<div class="form-group col-md-5 col-md-offset-5 align-center ">

					<p style="margin-bottom:0vh;">Vous n'êtes pas encore inscrit</p>
					<a class="btn btn-lg btn-primary" href="{{ path('app_register') }}">Inscrivez-vous</a>
				</div>
			</div>
		</div>
	{% endif %}
{% endblock %}
